Submit Seedream 4.5 task
curl --request POST \
--url https://api.wizzx.ai/api/v1/task/submit/seedream-4.5 \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"prompt": "A cinematic mountain landscape",
"resolution": "2K"
}
'import requests
url = "https://api.wizzx.ai/api/v1/task/submit/seedream-4.5"
payload = {
"prompt": "A cinematic mountain landscape",
"resolution": "2K"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({prompt: 'A cinematic mountain landscape', resolution: '2K'})
};
fetch('https://api.wizzx.ai/api/v1/task/submit/seedream-4.5', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"code": 0,
"message": "success",
"data": {
"task_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"model_key": "<string>",
"credits_deducted": 1,
"provider_task_id": "<string>",
"provider_key": "<string>"
},
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}{
"error": {
"message": "<string>",
"type": "invalid_request_error",
"param": "<string>",
"code": "<string>"
},
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"retry_after": 1
}{
"error": {
"message": "<string>",
"type": "invalid_request_error",
"param": "<string>",
"code": "<string>"
},
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"retry_after": 1
}{
"error": {
"message": "<string>",
"type": "invalid_request_error",
"param": "<string>",
"code": "<string>"
},
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"retry_after": 1
}{
"error": {
"message": "<string>",
"type": "invalid_request_error",
"param": "<string>",
"code": "<string>"
},
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"retry_after": 1
}{
"error": {
"message": "<string>",
"type": "invalid_request_error",
"param": "<string>",
"code": "<string>"
},
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"retry_after": 1
}{
"error": {
"message": "<string>",
"type": "invalid_request_error",
"param": "<string>",
"code": "<string>"
},
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"retry_after": 1
}{
"error": {
"message": "<string>",
"type": "invalid_request_error",
"param": "<string>",
"code": "<string>"
},
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"retry_after": 1
}{
"error": {
"message": "<string>",
"type": "invalid_request_error",
"param": "<string>",
"code": "<string>"
},
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"retry_after": 1
}Image Generation
Submit Seedream 4.5 task
POST Seedream 4.5 high-quality text-to-image / fusion
POST
/
api
/
v1
/
task
/
submit
/
seedream-4.5
Submit Seedream 4.5 task
Submit task
- Header:
Authorization: Bearer <your_api_key>. - Required:
prompt. Optional:image_urls(max 14),aspect_ratio,resolution(1K/2K/4K),batch_size(1-15, total images ≤15),seed,watermark. - Breaking:
sizedeprecated; useresolutionplusaspect_ratio. - Returns
task_id,credits_deducted; poll/api/v1/task/status.
curl -X POST https://api.wizzx.ai/api/v1/task/submit/seedream-4.5 \
-H "Authorization: Bearer <api_key>" \
-H "Content-Type: application/json" \
-d '{
"prompt": "A serene mountain landscape",
"aspect_ratio": "21:9",
"resolution": "4K",
"batch_size": 1,
"watermark": false
}'
Seedream 4.5 reserves 40 credits per requested output image. Resolution and input image count do not add credits.
image_urls supports up to 14 items, and input count + batch_size must be at most 15. Read /pricing before submission for the current tier.Authorizations
Wizzx API key. This is not a JWT.
Body
application/json
Seedream 4.0 and 4.5 share this request schema. input image count + effective batch_size must be at most 15.
Minimum string length:
1Maximum array length:
14Publicly reachable HTTP(S) URL.
Pattern:
^https?://Available options:
1:1, 4:3, 3:4, 16:9, 9:16, 3:2, 2:3, 21:9 Available options:
1K, 2K, 4K Required range:
1 <= x <= 15Was this page helpful?
